summaryrefslogtreecommitdiffstats
path: root/misc/WhatPulse/WhatPulse.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'misc/WhatPulse/WhatPulse.SlackBuild')
-rw-r--r--misc/WhatPulse/WhatPulse.SlackBuild72
1 files changed, 72 insertions, 0 deletions
diff --git a/misc/WhatPulse/WhatPulse.SlackBuild b/misc/WhatPulse/WhatPulse.SlackBuild
new file mode 100644
index 0000000000..e5f12b69c7
--- /dev/null
+++ b/misc/WhatPulse/WhatPulse.SlackBuild
@@ -0,0 +1,72 @@
+#!/bin/sh
+
+# Slackware build script for WhatPulse
+
+# Copyright 2010 James Geboski <jgeboski@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=WhatPulse
+VERSION=${VERSION:-1.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "x86_64" ]; then
+ PKG_ARCH="64"
+else
+ PKG_ARCH="32"
+fi
+
+if ! getent group whatpulse ; then
+ printf "\n\tYou must have a \"whatpulse\" group to build/use WhatPulse.\n"
+ printf "\t\tgroupadd -g 242 whatpulse \n\n"
+ exit 1
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+
+mkdir -p $PKG/usr/bin
+tar xf $CWD/$PRGNAM-Linux$PKG_ARCH-$VERSION.tar.gz -C $PKG/usr/bin
+chown root:whatpulse $PKG/usr/bin/WhatPulse
+chmod 0750 $PKG/usr/bin/WhatPulse
+
+mkdir -p $PKG/lib/udev/rules.d
+cat $CWD/99-whatpulse-input.rules > $PKG/lib/udev/rules.d/99-whatpulse-input.rules
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}